/*This program clears the whole EEPROM memory of Tag.
Load .hex file to Bolt 18F2550 system connected to
MF522 module and near tag to module to erase memory
Wait for confirmation in Mobile phone*/



#include <p18cxxx.h>
#include <delays.h>
#include <stdio.h>		// sprintf() library
#include <stdlib.h>		// atoi(),atof() library 
#include "MFRC522-RFID-SPI.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

void main(void)					//select function to run, and comment the rest.
{
	showSerialNumber();			//reads serial number and transmit to serial port
	//readDataHEX();				//reads all memory in tag (64 lines) and transmits to serial in hex
	//readDataASCII();			//reads all tag (64 lines) and transmits to serial in ASCII
	clearTagsMemory();		//erases all tag memory
	//writeTagBlockMemory();	//writes in tag memory, only may write 1 sector at a time. 
} 

